%global plugin_name    vnsiserver
%global vnsi_protocol  3
%global package_name   vdr-%{plugin_name}%{vnsi_protocol}

Name:           %{package_name}
Version:        0.9.0
Release:        12%{?dist}
Summary:        VDR plugin to handle XBMC clients via VNSI

Group:          Applications/Multimedia
License:        GPLv2+
URL:            https://github.com/opdenkamp/xbmc-pvr-addons/tree/frodo

# Download with:
#   git clone https://github.com/opdenkamp/xbmc-pvr-addons.git
#   cd xbmc-pvr-addons
#   git checkout 12.0-Frodo
#   cd addons/pvr.vdr.vnsi
#   mv vdr-plugin-vnsiserver vdr-vnsiserver${vnsi_protocol}
#   tar cfJ vdr-vnsiserver${vnsi_protocol}.tar.xz vdr-vnsiserver${vnsi_protocol}
Source:         %{package_name}.tar.xz

Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

BuildRequires:  vdr-devel >= 1.5.9

%description
VDR plugin to handle XBMC clients. It is needed to use XBMC as a frontend and
VDR as a backend. With the plugin it is possible to get TV and PVR
functionality from a VDR into a XBMC. It is able to handle several XBMC
clients connecting via the VNSI addon.

VNSI supports also dynamic PID switching of the received DVB-TS
stream. Further it detect and demuxing several not by VDR implemented audio
streams, this are:
  - Enhanced AC3 (not tested)
  - Advanced Audio Coding (AAC) (not tested)
  - DTS (demuxer not finished now, and does not work)

%prep
%setup -q -n %{package_name}

%build
make %{?_smp_mflags} CFLAGS="-fPIC %optflags" CXXFLAGS="-fPIC %{optflags}" LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$PWD/locale all

%install
install -dm 755 %{buildroot}%{vdr_plugindir}
install -dm 755 %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}
install -pm 755 libvdr-%{plugin_name}.so %{buildroot}%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}
install -Dpm 644 %{plugin_name}/* %{buildroot}%{vdr_configdir}/plugins/%{plugin_name}/

%files
%doc COPYING 
%doc HISTORY
%doc README

%dir %{vdr_configdir}/plugins/%{plugin_name}
%config(noreplace) %{vdr_configdir}/plugins/%{plugin_name}/*
%{vdr_plugindir}/libvdr-%{plugin_name}.so.%{vdr_apiversion}

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-10
- Rebuild

* Sun Mar 23 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-9
- Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-7
- Rebuild.

* Sat Mar 16 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-6
- Rebuild.

* Wed Mar 13 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-5
- Rebuild.

* Sun Mar 03 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.9.0-4
- Rebuild.

* Tue Feb 19 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-3
- Rebuild for vdr-1.7.38

* Thu Jan 31 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-2
- cleaned up specfile according to
  https://bugzilla.redhat.com/show_bug.cgi?id=887611#c24
  - fixed name of Source0 to match package name
  - replaced RPM variables by RPM macros

* Wed Jan 30 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-1
- rebase on first official release for XBMC "Frodo" with version 0.9.0
- included VNSI protocol version into package name to allow the
  installation of different protocol levels into VDR depending on the
  protocol level needed by the according XBMC, 
  see http://forum.xbmc.org/showthread.php?tid=153801
- cleaned up specfile according to
  https://bugzilla.redhat.com/show_bug.cgi?id=887611#c17
  - replaced RPM macros by those of vdr-devel
  - removed additional CFLAGS

* Fri Jan 04 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-0.3.20130104git04258ed894
- Changed license to GPLv2+

* Fri Jan 04 2013 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-0.2.20130104git04258ed894
- updated to git hash 04258ed894
- cleaned up specfile according to
  https://bugzilla.redhat.com/show_bug.cgi?id=887611#c2
  - introduced optflags
  - removed BuildRoot.
  - Used "global" instead of "define"

* Mon Dec 17 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.9.0-0.1.20121216git14a1fe5c58
- bumped up version number to 0.9.0 which is found in vnsi.h and used by
  Makefile.
- cleaned up specfile according to
  https://bugzilla.redhat.com/show_bug.cgi?id=887611#c2
- reduced "vdr-plugin-vnsiserver-{checkout}.tar.xz" to contain only the
  needed files for this plugin. See comments above Source for instructions.

* Sat Dec 15 2012 Dr. Tilmann Bubeck <t.bubeck@reinform.de> - 0.0.1-1
- initial built for Fedora

